fs.SyncWriteStream报错

1
(node:19344) [DEP0061] DeprecationWarning: fs.SyncWriteStream is deprecated

因为我在CentOS里安装的node版本是8.1,而node.js从8.0开始就已经弃用了前面提到的fs.SyncWriteStream方法,然而作者项目里的一个叫hexo-fs的插件,调用了这个方法,所以就会报错,解决办法,作者没有提供,但是很显然,我只需要更新一下那个插件,就可以搞定,于是更新的方法是,在Hexo博客目录下,输入:

1
npm install hexo-fs --save

插件就更新了,问题就解决了。

Hexo卸载插件命令

1
npm uninstall 插件名 --save

例如卸载七牛云同步插件

1
npm uninstall hexo-qiniu-sync --save